Index: /branches/2017/dev_merge_2017/NEMOGCM/SETTE/sette.sh
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/SETTE/sette.sh	(revision 9517)
+++ /branches/2017/dev_merge_2017/NEMOGCM/SETTE/sette.sh	(revision 9518)
@@ -137,18 +137,17 @@
 # ORCA2_OFF_PISCES  :  3 
 # AMM12             :  4 
-# SAS               :  5     fos SAS there is no run.stat so is useless to test REPRO
-# ISOMIP            :  6
-# ORCA2_LIM3_OBS    :  7
-# ORCA2_AGRIF_LIM3  :  8 
-# ORCA2AGR          :  9 & 10  AGRIF active with no zoom, compared to no AGRIF cpp key
-# AGRIF             :  11 & 12  test AGRIF in a double zoom configuration (AGRIF_NORDIC)
+# SAS               :  5
+# ORCA2_LIM3_OBS    :  6
+# AGRIF             :  7 & 8  test AGRIF in a double zoom configuration (AGRIF_NORDIC)
 #                               and check that key_agrif without zoom = no key_agrif
 
-for config in 1 2 3 4 5 6 7 8 9 10 11 12
+for config in 1 2 3 4 5 6 7 8 
 do
 
-# TESTS FOR GYRE_PISCES CONFIGURATION
+# -----------
+# GYRE_PISCES
+# -----------
 if [ ${config} -eq 1 ] ;  then
-    ## Restartability tests for GYRE_PISCES
+## Restartability tests for GYRE_PISCES
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
@@ -166,8 +165,5 @@
     set_namelist namelist_cfg nn_itend 120
     set_namelist namelist_cfg nn_stock 60
-    set_namelist namelist_cfg ln_clobber .true.
     set_namelist namelist_cfg ln_linssh .true.
-    set_namelist namelist_cfg ln_read_cfg .false.
-    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
@@ -191,8 +187,5 @@
     set_namelist namelist_cfg ln_rstart .true.
     set_namelist namelist_cfg nn_rstctl 2
-    set_namelist namelist_cfg ln_clobber .true.
     set_namelist namelist_cfg ln_linssh .true.
-    set_namelist namelist_cfg ln_read_cfg .false.
-    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
@@ -223,5 +216,5 @@
     . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 
-    ## Reproducibility tests for GYRE_PISCES
+## Reproducibility tests for GYRE_PISCES
     export TEST_NAME="REPRO_4_8"
     cd ${CONFIG_DIR0}
@@ -237,9 +230,5 @@
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 60
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
     set_namelist namelist_cfg ln_linssh .true.
-    set_namelist namelist_cfg ln_read_cfg .false.
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
@@ -265,9 +254,5 @@
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 60
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
     set_namelist namelist_cfg ln_linssh .true.
-    set_namelist namelist_cfg ln_read_cfg .false.
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
@@ -285,7 +270,9 @@
 fi
 
-# TESTS FOR ORCA2_LIM3_PISCES CONFIGURATION
+# -----------------
+# ORCA2_LIM3_PISCES
+# -----------------
 if [ ${config} -eq 2 ] ;  then
-    ## Restartability tests for ORCA2_LIM3_PISCES
+## Restartability tests for ORCA2_LIM3_PISCES
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
@@ -301,16 +288,10 @@
     set_namelist namelist_cfg cn_exp \"O2L3P_LONG\"
     set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 150
-    set_namelist namelist_cfg nn_stock 75
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .false.
-    set_namelist namelist_cfg ln_icebergs .true.
-    set_namelist namelist_cfg nn_fwb 0
+    set_namelist namelist_cfg nn_itend 1000
+    set_namelist namelist_cfg nn_stock 500
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
     set_namelist namelist_cfg jpnij 32
     set_namelist namelist_ice_cfg ln_icediachk .true.
-##    set_namelist namelist_ice_cfg ln_icediahsb .true.
     set_namelist namelist_top_cfg ln_trcdta .false.
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
@@ -340,24 +321,17 @@
     cd ${EXE_DIR}
     set_namelist namelist_cfg cn_exp \"O2L3P_SHORT\"
-    set_namelist namelist_cfg nn_it000 76
-    set_namelist namelist_cfg nn_itend 150
-    set_namelist namelist_cfg nn_stock 75
+    set_namelist namelist_cfg nn_it000 501
+    set_namelist namelist_cfg nn_itend 1000
+    set_namelist namelist_cfg nn_stock 500
     set_namelist namelist_cfg ln_rstart .true.
     set_namelist namelist_cfg nn_rstctl 2
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .false.
-    set_namelist namelist_cfg ln_icebergs .true.
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 4
-    set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg jpnij 32
-    set_namelist namelist_ice_cfg ln_icediachk .true.
-##    set_namelist namelist_ice_cfg ln_icediahsb .true.
+    set_namelist namelist_cfg jpni 4
+    set_namelist namelist_cfg jpnj 8
+    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_top_cfg ln_rsttr .true.
     set_namelist namelist_top_cfg nn_rsttr 2
-    set_namelist namelist_cfg cn_ocerst_in \"O2L3P_LONG_00000075_restart\"
-    set_namelist namelist_top_cfg cn_trcrst_in \"O2L3P_LONG_00000075_restart_trc\"
-    set_namelist namelist_ice_cfg cn_icerst_in \"O2L3P_LONG_00000075_restart_ice\"
+    set_namelist namelist_cfg cn_ocerst_in \"O2L3P_LONG_00000500_restart\"
+    set_namelist namelist_top_cfg cn_trcrst_in \"O2L3P_LONG_00000500_restart_trc\"
+    set_namelist namelist_ice_cfg cn_icerst_in \"O2L3P_LONG_00000500_restart_ice\"
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust
     # if not you need input files, and for tests is not necessary
@@ -376,8 +350,8 @@
         L_NPROC=$(( $i - 1 ))
         L_NPROC=`printf "%04d\n" ${L_NPROC}`
-        ln -sf ../LONG/O2L3P_LONG_00000075_restart_${L_NPROC}.nc .
-        ln -sf ../LONG/O2L3P_LONG_00000075_restart_trc_${L_NPROC}.nc .
-        ln -sf ../LONG/O2L3P_LONG_00000075_restart_ice_${L_NPROC}.nc .
-        ln -sf ../LONG/O2L3P_LONG_icebergs_00000075_restart_${L_NPROC}.nc O2L3P_LONG_00000075_restart_icebergs_${L_NPROC}.nc
+        ln -sf ../LONG/O2L3P_LONG_00000500_restart_${L_NPROC}.nc .
+        ln -sf ../LONG/O2L3P_LONG_00000500_restart_trc_${L_NPROC}.nc .
+        ln -sf ../LONG/O2L3P_LONG_00000500_restart_ice_${L_NPROC}.nc .
+        ln -sf ../LONG/O2L3P_LONG_icebergs_00000500_restart_${L_NPROC}.nc O2L3P_LONG_00000500_restart_icebergs_${L_NPROC}.nc
     done
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -391,5 +365,5 @@
     . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 
-    ## Reproducibility tests for ORCA2_LIM3_PISCES
+## Reproducibility tests for ORCA2_LIM3_PISCES
     export TEST_NAME="REPRO_4_8"
     cd ${CONFIG_DIR0}
@@ -404,16 +378,8 @@
     set_namelist namelist_cfg cn_exp \"O2L3P_48\"
     set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 75
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .false.
-    set_namelist namelist_cfg ln_icebergs .true.
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 4
-    set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg jpnij 32
-    set_namelist namelist_ice_cfg ln_icediachk .true.
-##    set_namelist namelist_ice_cfg ln_icediahsb .true.
+    set_namelist namelist_cfg nn_itend 450
+    set_namelist namelist_cfg jpni 4
+    set_namelist namelist_cfg jpnj 8
+    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_top_cfg ln_trcdta .false.
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
@@ -449,15 +415,8 @@
     set_namelist namelist_cfg cn_exp \"O2L3P_84\"
     set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 75
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .false.
-    set_namelist namelist_cfg ln_icebergs .true.
-    set_namelist namelist_cfg nn_fwb 0
+    set_namelist namelist_cfg nn_itend 450
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
     set_namelist namelist_cfg jpnij 32
-    set_namelist namelist_ice_cfg ln_icediachk .true.
-##    set_namelist namelist_ice_cfg ln_icediahsb .true.
     set_namelist namelist_top_cfg ln_trcdta .false.
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
@@ -485,7 +444,9 @@
 fi
 
-# TESTS FOR ORCA2_OFF_PISCES CONFIGURATION
+# ----------------
+# ORCA2_OFF_PISCES
+# ----------------
 if [ ${config} -eq 3 ] ;  then
-    ## Restartability tests for ORCA2_OFF_PISCES
+## Restartability tests for ORCA2_OFF_PISCES
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
@@ -503,7 +464,4 @@
     set_namelist namelist_cfg nn_itend 40
     set_namelist namelist_cfg nn_stock 20
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .true.
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
@@ -539,7 +497,4 @@
     set_namelist namelist_cfg nn_itend 40
     set_namelist namelist_cfg nn_stock 20
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .true.
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
@@ -576,5 +531,5 @@
     . ./fcm_job.sh $NPROC  ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 
-    ## Reproducibility tests for ORCA2_OFF_PISCES
+## Reproducibility tests for ORCA2_OFF_PISCES
     export TEST_NAME="REPRO_4_8"
     cd ${CONFIG_DIR0}
@@ -590,8 +545,4 @@
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 40
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .true.
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
@@ -631,8 +582,4 @@
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 40
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .true.
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
@@ -663,5 +610,7 @@
 fi
 
-# TESTS FOR AMM12 CONFIGURATION
+# -----
+# AMM12
+# -----
 if [ ${config} -eq 4 ] ;  then
     ## Restartability tests for AMM12
@@ -681,13 +630,4 @@
     set_namelist namelist_cfg nn_itend 576
     set_namelist namelist_cfg nn_stock 288
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .false.
-##SF 
-    set_namelist namelist_cfg ln_lin .true.
-    set_namelist namelist_cfg ln_loglayer .false.
-##SF
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
@@ -708,13 +648,4 @@
     set_namelist namelist_cfg nn_it000 289
     set_namelist namelist_cfg nn_itend 576
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .false.
-##SF 
-    set_namelist namelist_cfg ln_lin .true.
-    set_namelist namelist_cfg ln_loglayer .false.
-##SF
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
@@ -753,13 +684,4 @@
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 576
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .false.
-##SF 
-    set_namelist namelist_cfg ln_lin .true.
-    set_namelist namelist_cfg ln_loglayer .false.
-##SF
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
@@ -784,13 +706,4 @@
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 576
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .false.
-##SF 
-    set_namelist namelist_cfg ln_lin .true.
-    set_namelist namelist_cfg ln_loglayer .false.
-##SF
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
@@ -808,7 +721,9 @@
 
 
-# TESTS FOR ORCA2_SAS_LIM3 CONFIGURATION
+# ---------
+# ORCA2_SAS
+# ---------
 if [ ${config} -eq 5 ] ;  then
-    ## Restartability tests for SAS
+## Restartability tests
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
@@ -826,9 +741,4 @@
     set_namelist namelist_cfg nn_itend 240
     set_namelist namelist_cfg nn_stock 120
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .true.
-    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
@@ -850,9 +760,4 @@
     set_namelist namelist_cfg nn_it000 121
     set_namelist namelist_cfg nn_itend 240
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .true.
-    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
@@ -878,104 +783,29 @@
     cd ${SETTE_DIR}
     . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-fi
-
-# TESTS FOR ISOMIP CONFIGURATION
-if [ ${config} -eq 6 ] ;  then
-    ## Restartability tests for ISOMIP
-    export TEST_NAME="LONG"
-    cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ISOMIP_ST -r ISOMIP -a TEST_CASES -j 8 del_key ${DEL_KEYS}
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=15
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"ISOMIP_LONG\"
-    set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 96
-    set_namelist namelist_cfg nn_stock 48
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .false.
-    set_namelist namelist_cfg ln_icebergs .false.
-    set_namelist namelist_cfg ln_bergdia .false.
-    set_namelist namelist_cfg jpni 5
-    set_namelist namelist_cfg jpnj 3
-    set_namelist namelist_cfg jpnij 15
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ISOMIP.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-
-    cd ${SETTE_DIR}
-    export TEST_NAME="SHORT"
-    . ./prepare_exe_dir.sh
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"ISOMIP_SHORT\"
-    set_namelist namelist_cfg nn_it000 49
-    set_namelist namelist_cfg nn_itend 96
-    set_namelist namelist_cfg nn_stock 48
-    set_namelist namelist_cfg ln_rstart .true.
-    set_namelist namelist_cfg nn_rstctl 2
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .false.
-    set_namelist namelist_cfg ln_bergdia .false.
-    set_namelist namelist_cfg jpni 5
-    set_namelist namelist_cfg jpnj 3
-    set_namelist namelist_cfg jpnij 15
-    set_namelist namelist_cfg cn_ocerst_in \"ISOMIP_LONG_00000048_restart\"
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    for (( i=1; i<=$NPROC; i++)) ; do
-        L_NPROC=$(( $i - 1 ))
-        L_NPROC=`printf "%04d\n" ${L_NPROC}`
-        ln -sf ../LONG/ISOMIP_LONG_00000048_restart_${L_NPROC}.nc .
-    done
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ISOMIP.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-
-    ## Reproducibility tests for ISOMIP
-    export TEST_NAME="REPRO_7_3"
-    cd ${CONFIG_DIR0}
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=21
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"ISOMIP_73\"
-    set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 48
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .false.
-    set_namelist namelist_cfg ln_bergdia .false.
-    set_namelist namelist_cfg jpni 7
-    set_namelist namelist_cfg jpnj 3
-    set_namelist namelist_cfg jpnij 21
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ISOMIP.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
+
+## Reproducibility tests
+    export TEST_NAME="REPRO_4_8"
+    cd ${CONFIG_DIR0}
+    cd ${SETTE_DIR}
+    . ./param.cfg
+    . ./all_functions.sh
+    . ./prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=32
+    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"SAS_48\"
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend 75
+    set_namelist namelist_cfg jpni 4
+    set_namelist namelist_cfg jpnj 8
+    set_namelist namelist_cfg jpnij 32
+    if [ ${USING_MPMD} == "yes" ] ; then
+       set_xio_using_server iodef.xml true
+    else
+       set_xio_using_server iodef.xml false
+    fi
+    cd ${SETTE_DIR}
+    . ./prepare_job.sh input_SAS.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
     cd ${SETTE_DIR}
     . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
@@ -988,11 +818,7 @@
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"ISOMIP_84\"
-    set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 48
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .false.
-    set_namelist namelist_cfg ln_bergdia .false.
+    set_namelist namelist_cfg cn_exp \"SAS_84\"
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend 75
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
@@ -1004,5 +830,5 @@
     fi
     cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ISOMIP.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
+    . ./prepare_job.sh input_SAS.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
     cd ${SETTE_DIR}
     . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
@@ -1010,8 +836,12 @@
 fi
 
+
+# --------------
+# ORCA2_LIM3_OBS
+# --------------
 ## Test assimilation interface code, OBS and ASM for reproducibility
 ## Restartability not tested (ASM code not restartable while increments are being applied)
-if [ ${config} -eq 7 ] ; then
-   ## Reproducibility tests for ORCA2_LIM3_OBS
+if [ ${config} -eq 6 ] ; then
+## Reproducibility tests
     export TEST_NAME="REPRO_4_8"
     cd ${CONFIG_DIR0}
@@ -1028,10 +858,5 @@
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 75
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
     set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .false.
-    set_namelist namelist_cfg ln_icebergs .false.
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
@@ -1082,10 +907,5 @@
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 75
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
     set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .false.
-    set_namelist namelist_cfg ln_icebergs .false.
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
@@ -1126,274 +946,10 @@
     . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 fi
-# TEST FOR ORCA2_LIM3_AGRIF : AGULHAS AGRIF
-if [ ${config} -eq 8 ] ;  then
-## Restartability tests
-    export TEST_NAME="LONG"
-    cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2AGR_ST -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC" -j 8 add_key "key_agrif" del_key "key_top"
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=4
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"O2AGRIF_LONG\"
-    set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 150
-    set_namelist namelist_cfg nn_stock 75
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 2
-    set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg jpnij 4
-    set_namelist 1_namelist_cfg cn_exp \"O2AGRIF_LONG\"
-    set_namelist 1_namelist_cfg nn_it000 1
-    set_namelist 1_namelist_cfg nn_itend 300
-    set_namelist 1_namelist_cfg nn_stock 150
-    set_namelist 1_namelist_cfg nn_fsbc 1
-    set_namelist 1_namelist_cfg ln_ctl .false.
-    set_namelist 1_namelist_cfg ln_clobber .true.
-    set_namelist 1_namelist_cfg ln_read_cfg .true.
-    set_namelist 1_namelist_cfg ln_linssh .false.
-    set_namelist 1_namelist_cfg ln_zdfiwm .false.
-    set_namelist 1_namelist_cfg ln_hpg_sco .true.
-    set_namelist 1_namelist_cfg ln_hpg_zps .false. 
-#
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_LIM3_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-    
-    cd ${SETTE_DIR}
-    export TEST_NAME="SHORT"
-    . ./prepare_exe_dir.sh
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"O2AGRIF_SHORT\"
-    set_namelist namelist_cfg nn_it000 76
-    set_namelist namelist_cfg nn_itend 150
-    set_namelist namelist_cfg nn_stock 75
-    set_namelist namelist_cfg ln_rstart .true.
-    set_namelist namelist_cfg nn_rstctl 2
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .false.
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 2
-    set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg jpnij 4
-    set_namelist 1_namelist_cfg cn_exp \"O2AGRIF_SHORT\"
-    set_namelist 1_namelist_cfg nn_it000 151
-    set_namelist 1_namelist_cfg nn_itend 300
-    set_namelist 1_namelist_cfg nn_stock 150
-    set_namelist 1_namelist_cfg nn_fsbc 1
-    set_namelist 1_namelist_cfg ln_rstart .true.
-    set_namelist 1_namelist_cfg nn_rstctl 2
-    set_namelist 1_namelist_cfg ln_clobber .true.
-    set_namelist 1_namelist_cfg ln_read_cfg .true.
-    set_namelist 1_namelist_cfg ln_zdfiwm .false.
-    set_namelist 1_namelist_cfg ln_hpg_sco .true.
-    set_namelist 1_namelist_cfg ln_hpg_zps .false. 
-    set_namelist namelist_cfg cn_ocerst_in \"O2AGRIF_LONG_00000075_restart\"
-    set_namelist namelist_ice_cfg cn_icerst_in \"O2AGRIF_LONG_00000075_restart_ice\"
-    set_namelist 1_namelist_cfg cn_ocerst_in \"O2AGRIF_LONG_00000150_restart\"
-    set_namelist 1_namelist_ice_cfg cn_icerst_in \"O2AGRIF_LONG_00000150_restart_ice\"
-
-    for (( i=1; i<=$NPROC; i++)) ; do
-        L_NPROC=$(( $i - 1 ))
-        L_NPROC=`printf "%04d\n" ${L_NPROC}`
-        ln -sf ../LONG/O2AGRIF_LONG_00000075_restart_${L_NPROC}.nc .
-        ln -sf ../LONG/O2AGRIF_LONG_00000075_restart_ice_${L_NPROC}.nc .
-        ln -sf ../LONG/1_O2AGRIF_LONG_00000150_restart_${L_NPROC}.nc .
-        ln -sf ../LONG/1_O2AGRIF_LONG_00000150_restart_ice_${L_NPROC}.nc .
-    done
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_LIM3_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-
-
-## Reproducibility tests for ORCA2_LIM3_AGRIF
-    export TEST_NAME="REPRO_4_4"
-    cd ${CONFIG_DIR0}
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=16
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"O2AGRIF_44\"
-    set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 75
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .false.
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 4
-    set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg jpnij 16
-    set_namelist 1_namelist_cfg nn_it000 1
-    set_namelist 1_namelist_cfg nn_itend 150
-    set_namelist 1_namelist_cfg nn_fsbc 1
-    set_namelist 1_namelist_cfg ln_ctl .false.
-    set_namelist 1_namelist_cfg ln_clobber .true.
-    set_namelist 1_namelist_cfg ln_read_cfg .true.
-    set_namelist 1_namelist_cfg ln_zdfiwm .false.
-    set_namelist 1_namelist_cfg ln_hpg_sco .true.
-    set_namelist 1_namelist_cfg ln_hpg_zps .false. 
-
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_LIM3_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-
-    cd ${SETTE_DIR}
-    export TEST_NAME="REPRO_2_8"
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=16
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"O2AGRIF_28\"
-    set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 75
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .false.
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 2
-    set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg jpnij 16
-    set_namelist 1_namelist_cfg nn_it000 1
-    set_namelist 1_namelist_cfg nn_itend 150
-    set_namelist 1_namelist_cfg nn_fsbc 1
-    set_namelist 1_namelist_cfg ln_ctl .false.
-    set_namelist 1_namelist_cfg nn_fsbc 1
-    set_namelist 1_namelist_cfg ln_clobber .true.
-    set_namelist 1_namelist_cfg ln_read_cfg .true.
-    set_namelist 1_namelist_cfg ln_zdfiwm .false.
-    set_namelist 1_namelist_cfg ln_hpg_sco .true.
-    set_namelist 1_namelist_cfg ln_hpg_zps .false. 
-
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_LIM3_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-fi
-
-# test code corruption with AGRIF
-if [ ${config} -eq 9 ] ;  then
-
-# Compile with AGRIF but run with no zoom
-    export TEST_NAME="AGRIFNOZ"
-    cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_NOZOOM_ST -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC" -j 8 add_key "key_agrif" del_key "key_top"
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=4
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"AGRIFNOZ_SHORT\"
-    set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 75
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .false.
-    set_namelist namelist_cfg ln_hpg_sco .true.
-    set_namelist namelist_cfg ln_hpg_zps .false. 
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 2
-    set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg jpnij 4
-    set_namelist namelist_cfg ln_icebergs .false.   
-# 
-#   Set the number of fine grids to zero:    
-    sed -i "1s/.*/0/" ${EXE_DIR}/AGRIF_FixedGrids.in
-
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_LIM3_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-
-fi
-
-if [ ${config} -eq 10 ] ;  then
-# Compile with same option as 9 = ORCA2AGUL_NOZOOM, except ne key_agrif to check AGRIF does not hurt...
-    export TEST_NAME="AGRIFNO"
-    cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_NOAGR_ST -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC" -j 8 del_key "key_top"
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=4
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"AGRIFNO_SHORT\"
-    set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 75
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .false.
-    set_namelist namelist_cfg ln_hpg_sco .true.
-    set_namelist namelist_cfg ln_hpg_zps .false. 
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 2
-    set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg jpnij 4
-    set_namelist namelist_cfg ln_icebergs .false.       
-#
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_LIM3_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-
-fi
 
 # ------------
 # AGRIF NORDIC
 # -----------
-if [ ${config} -eq 11 ] ;  then
-## Restartability tests AGRIF
+if [ ${config} -eq 7 ] ;  then
+## Restartability tests
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
@@ -1477,5 +1033,5 @@
     . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 
-## Reproducibility tests AGRIF
+## Reproducibility tests
     export TEST_NAME="REPRO_4_8"
     cd ${CONFIG_DIR0}
@@ -1580,5 +1136,5 @@
 
 ## test code corruption with AGRIF (phase 2) ==> Compile without key_agrif (to be compared with AGRIF_ST/ORCA2)
-if [ ${config} -eq 12 ] ;  then
+if [ ${config} -eq 8 ] ;  then
     export TEST_NAME="ORCA2"
     cd ${CONFIG_DIR0}
Index: /branches/2017/dev_merge_2017/NEMOGCM/SETTE/sette_rpt.sh
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/SETTE/sette_rpt.sh	(revision 9517)
+++ /branches/2017/dev_merge_2017/NEMOGCM/SETTE/sette_rpt.sh	(revision 9518)
@@ -327,5 +327,6 @@
     dorv2=`echo $dorv2 | sed -e 's:.*/::'`
 
-    rep1=`ls -1rt $vdir/$dir1/$mach/$dorv1/ |  tail -2l | head -1 `
+#    rep1=`ls -1rt $vdir/$dir1/$mach/$dorv1/ |  tail -2l | head -1 `
+    rep1=`ls -1rt $vdir/$dir1/$mach/$dorv1/ |  tail -1l`
     rep2=`ls -1rt $vdir/$dir2/$mach/$dorv2/ |  tail -1l`
     f1s=$vdir/$dir1/$mach/$dorv1/$rep1/run.stat
@@ -346,5 +347,5 @@
         fi
       else
-        printf "%-20s %s %s %s %s\n" $rep1 $rep2  " for AGRIF, run.stat test FAILED : " $dorv1 $dorv2
+        printf "%-20s %s %s %s %s\n" $rep1 $rep2  " AGRIF: run.stat changed - test FAILED : " $dorv1 $dorv2
 #
 # Offer view of differences on the second pass
@@ -401,17 +402,18 @@
 do
 #
- if [ $pass == 1 ]; then echo "---------------2nd pass------------------";fi
+ if [ $pass == 0 ]; then echo "!!---------------1st pass------------------!!";fi
+ if [ $pass == 1 ]; then echo "!!---------------2nd pass------------------!!";fi
 #
 
 # Rebuild and restartability test for SAS
-#
- for restart_file in WSAS_ST
- do
-   restfile $NEMO_VALID $restart_file $pass
- done
+# clem: not needed anymore
+# for restart_file in WSAS_ST
+# do
+#   restfile $NEMO_VALID $restart_file $pass
+# done
 #
 # Restartability test
-#
- for restart_test in WGYREPIS_ST WORCA2LIM3PIS_ST WORCA2OFFPIS_ST WAMM12_ST WISOMIP_ST WORCA2AGR_ST
+ echo "   !----restart----!   "
+ for restart_test in WGYREPIS_ST WORCA2LIM3PIS_ST WORCA2OFFPIS_ST WAMM12_ST WSAS_ST WAGRIF_ST WISOMIP_ST WOVERFLOW_ST WLOCK_EXCHANGE_ST WVORTEX_ST WWAD_ST WSAS_BIPER_ST 
  do
    resttest $NEMO_VALID $restart_test $pass
@@ -419,6 +421,6 @@
 #
 # Reproducibility tests
-#
- for repro_test in WGYREPIS_ST WORCA2LIM3PIS_ST WORCA2OFFPIS_ST WAMM12_ST WISOMIP_ST WORCA2_LIM3_OBS_ST WORCA2AGR_ST
+ echo "   !----repro----!   "
+ for repro_test in WGYREPIS_ST WORCA2LIM3PIS_ST WORCA2OFFPIS_ST WAMM12_ST WSAS_ST WORCA2_LIM3_OBS_ST WAGRIF_ST WISOMIP_ST
  do
    reprotest $NEMO_VALID $repro_test $pass
@@ -426,11 +428,9 @@
  done
 
-
-
-# AGRIF special check
- dir1=WORCA2AGUL_NOZOOM_ST
- dir2=WORCA2AGUL_NOAGR_ST
+# AGRIF special check to ensure results are unchanged with and without key_agrif
+ echo "   !----agrif check----!   "
+ dir1=WAGRIF_ST_NOAGRIF
+ dir2=WAGRIF_ST
  identictest $NEMO_VALID $dir1 $dir2 $pass 
-
 
 done
Index: /branches/2017/dev_merge_2017/NEMOGCM/SETTE/sette_test-cases.sh
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/SETTE/sette_test-cases.sh	(revision 9517)
+++ /branches/2017/dev_merge_2017/NEMOGCM/SETTE/sette_test-cases.sh	(revision 9518)
@@ -144,12 +144,10 @@
 # WAD            : 4       
 # SAS_BIPER      : 5
-
-
-for config in 5 
+# ISOMIP         : 6
+
+
+for config in 1 2 3 4 5 6 
 do
 
-#######
-#### ALL tests tested with only 1 proc ==> no different domain decomposition!
-#######
 # TESTS FOR OVERFLOW CONFIGURATION
 if [ ${config} -eq 1 ] ;  then
@@ -157,5 +155,5 @@
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -a TEST_CASES -n OVERFLOW_TESTs -r OVERFLOW -j 8 del_key ${DEL_KEYS}
+    . ./makenemo -m ${CMP_NAM} -a TEST_CASES -n OVERFLOW_ST -r OVERFLOW -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -247,5 +245,5 @@
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -a TEST_CASES -n LOCK_EXCHANGE_TESTs -r OVERFLOW -j 8 del_key ${DEL_KEYS}
+    . ./makenemo -m ${CMP_NAM} -a TEST_CASES -n LOCK_EXCHANGE_ST -r OVERFLOW -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -336,5 +334,5 @@
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -a TEST_CASES -n VORTEX_TESTs -r VORTEX -j 8 del_key ${DEL_KEYS}
+    . ./makenemo -m ${CMP_NAM} -a TEST_CASES -n VORTEX_ST -r VORTEX -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -552,4 +550,121 @@
 fi
 
+# ------
+# ISOMIP
+# ------
+if [ ${config} -eq 6 ] ;  then
+## Restartability tests
+    export TEST_NAME="LONG"
+    cd ${CONFIG_DIR0}
+    . ./makenemo -m ${CMP_NAM} -n ISOMIP_ST -r ISOMIP -a TEST_CASES -j 8 del_key ${DEL_KEYS}
+    cd ${SETTE_DIR}
+    . ./param.cfg
+    . ./all_functions.sh
+    . ./prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=15
+    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"ISOMIP_LONG\"
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend 96
+    set_namelist namelist_cfg nn_stock 48
+    set_namelist namelist_cfg jpni 5
+    set_namelist namelist_cfg jpnj 3
+    set_namelist namelist_cfg jpnij 15
+    if [ ${USING_MPMD} == "yes" ] ; then
+       set_xio_using_server iodef.xml true
+    else
+       set_xio_using_server iodef.xml false
+    fi
+    cd ${SETTE_DIR}
+    . ./prepare_job.sh input_ISOMIP.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
+
+    cd ${SETTE_DIR}
+    export TEST_NAME="SHORT"
+    . ./prepare_exe_dir.sh
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"ISOMIP_SHORT\"
+    set_namelist namelist_cfg nn_it000 49
+    set_namelist namelist_cfg nn_itend 96
+    set_namelist namelist_cfg nn_stock 48
+    set_namelist namelist_cfg ln_rstart .true.
+    set_namelist namelist_cfg nn_rstctl 2
+    set_namelist namelist_cfg jpni 5
+    set_namelist namelist_cfg jpnj 3
+    set_namelist namelist_cfg jpnij 15
+    set_namelist namelist_cfg cn_ocerst_in \"ISOMIP_LONG_00000048_restart\"
+    if [ ${USING_MPMD} == "yes" ] ; then
+       set_xio_using_server iodef.xml true
+    else
+       set_xio_using_server iodef.xml false
+    fi
+    for (( i=1; i<=$NPROC; i++)) ; do
+        L_NPROC=$(( $i - 1 ))
+        L_NPROC=`printf "%04d\n" ${L_NPROC}`
+        ln -sf ../LONG/ISOMIP_LONG_00000048_restart_${L_NPROC}.nc .
+    done
+    if [ ${USING_MPMD} == "yes" ] ; then
+       set_xio_using_server iodef.xml true
+    else
+       set_xio_using_server iodef.xml false
+    fi
+    cd ${SETTE_DIR}
+    . ./prepare_job.sh input_ISOMIP.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
+
+## Reproducibility tests
+    export TEST_NAME="REPRO_7_3"
+    cd ${CONFIG_DIR0}
+    cd ${SETTE_DIR}
+    . ./param.cfg
+    . ./all_functions.sh
+    . ./prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=21
+    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"ISOMIP_73\"
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend 48
+    set_namelist namelist_cfg jpni 7
+    set_namelist namelist_cfg jpnj 3
+    set_namelist namelist_cfg jpnij 21
+    if [ ${USING_MPMD} == "yes" ] ; then
+       set_xio_using_server iodef.xml true
+    else
+       set_xio_using_server iodef.xml false
+    fi
+    cd ${SETTE_DIR}
+    . ./prepare_job.sh input_ISOMIP.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
+
+    cd ${SETTE_DIR}
+    export TEST_NAME="REPRO_8_4"
+    . ./prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=32
+    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"ISOMIP_84\"
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend 48
+    set_namelist namelist_cfg jpni 8
+    set_namelist namelist_cfg jpnj 4
+    set_namelist namelist_cfg jpnij 32
+    if [ ${USING_MPMD} == "yes" ] ; then
+       set_xio_using_server iodef.xml true
+    else
+       set_xio_using_server iodef.xml false
+    fi
+    cd ${SETTE_DIR}
+    . ./prepare_job.sh input_ISOMIP.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
+
+fi
+
 #----
 done
